[arch-commits] Commit in inetutils/trunk (ChangeLog PKGBUILD iu-1.6.escape.diff)

Eric Bélanger eric at archlinux.org
Fri Jan 1 18:56:20 EST 2010


    Date: Friday, January 1, 2010 @ 18:56:20
  Author: eric
Revision: 62084

upgpkg: inetutils 1.7-1
    Upstream update, Replaced netkit's rexec by the new one from inetutils

Modified:
  inetutils/trunk/ChangeLog
  inetutils/trunk/PKGBUILD
Deleted:
  inetutils/trunk/iu-1.6.escape.diff

--------------------+
 ChangeLog          |    6 +++++
 PKGBUILD           |   55 +++++++++++++++++----------------------------------
 iu-1.6.escape.diff |   16 --------------
 3 files changed, 25 insertions(+), 52 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2010-01-01 23:54:35 UTC (rev 62083)
+++ ChangeLog	2010-01-01 23:56:20 UTC (rev 62084)
@@ -1,3 +1,9 @@
+2009-12-30  Eric Belanger  <eric at archlinux.org>
+
+	* inetutils 1.7-1
+	* Upstream update
+	* Replaced netkit's rexec by the new one from inetutils
+
 2009-01-20  Eric Belanger  <eric at archlinux.org>
 
 	* inetutils 1.6-3

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-01 23:54:35 UTC (rev 62083)
+++ PKGBUILD	2010-01-01 23:56:20 UTC (rev 62084)
@@ -3,8 +3,8 @@
 # Contributor: Eric Belanger <eric at archlinux.org>
 
 pkgname=inetutils
-pkgver=1.6
-pkgrel=4
+pkgver=1.7
+pkgrel=1
 pkgdesc="A collection of common network programs"
 arch=('i686' 'x86_64')
 url="http://www.gnu.org/software/inetutils/"
@@ -17,23 +17,19 @@
         'etc/xinetd.d/rexec' 'etc/xinetd.d/rlogin' 'etc/xinetd.d/rsh')
 options=('!emptydirs')
 install=inetutils.install
-source=(http://ftp.gnu.org/gnu/inetutils/${pkgname}-${pkgver}.tar.gz iu-1.6.escape.diff \
-        ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-rsh-0.17.tar.gz \
+source=(http://ftp.gnu.org/gnu/inetutils/${pkgname}-${pkgver}.tar.gz \
         ftpd.rc ftpd.conf telnet.xinetd talk.xinetd rexec.xinetd rlogin.xinetd rsh.xinetd)
-md5sums=('23cc24bc77751bf77d50a07a7395f9b3' '3675a46bd42cc39e6a2f2f3b96064e28'\
-         '65f5f28e2fe22d9ad8b17bb9a10df096' 'c167200f6faeb64659e69ced2a9d672a'\
+md5sums=('a1d5a01b0ab8a7e596ac4cff0cce7129' 'c167200f6faeb64659e69ced2a9d672a'\
          'e6e6e5990a2e8159a276fef8fbf54c04' '8596208d119045543c5fb644e1d713d5'\
          '2c3655985cf122591d71d031af84ff90' 'c490ea36751ac5f1d61d2c014959a3d1'\
          'c25d8382a994de84d9c6962d804f689b' 'c3aa508a9d1293a787341108cd49c1b7')
-sha1sums=('481060bd8b93d0efa0a0f2ab5ac5c491773a21af' '2223f8e7c191a4edd163b7fb6cbd549ff31ffd6b'\
-          '022185bf31af23abbb6d4f34621f94d9d0c4b6ea' '84dc802b5e57b5e04c847572225a3b9612017155'\
-          '68a590083b45997dfdb80e666b2de762f494ba74' 'bfad98a4a62f1fff8779f076c6019ed07f9111af'\
-          '27d99b910eec0fc26bd79ccc2c1de26608330298' '87aa4f38ebee9dac5dcaa04cbc3f2f0906bec605'\
-          '81f10b3b688e3952f793b35bcef63b5bf257a92b' '81f4a8da823cf0bb14284fc71ee6108849691eda')
+sha1sums=('d5fdee9855a06663ca7c0a8150c09439ef520206' '84dc802b5e57b5e04c847572225a3b9612017155'\
+         '68a590083b45997dfdb80e666b2de762f494ba74' 'bfad98a4a62f1fff8779f076c6019ed07f9111af'\
+         '27d99b910eec0fc26bd79ccc2c1de26608330298' '87aa4f38ebee9dac5dcaa04cbc3f2f0906bec605'\
+         '81f10b3b688e3952f793b35bcef63b5bf257a92b' '81f4a8da823cf0bb14284fc71ee6108849691eda')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  patch -p0 < ../iu-1.6.escape.diff || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --libexec=/usr/sbin --mandir=/usr/share/man --infodir=/usr/share/info \
     --with-wrap --with-pam \
     --enable-ftp --enable-ftpd \
@@ -41,7 +37,8 @@
     --enable-talk --enable-talkd \
     --enable-rlogin --enable-rlogind \
     --enable-rsh --enable-rshd \
-    --enable-rcp --enable-rexecd \
+    --enable-rexec --enable-rexecd \
+    --enable-rcp \
     --disable-tftp --disable-tftpd \
     --disable-ping --disable-ping6 \
     --disable-logger --disable-syslogd \
@@ -49,27 +46,13 @@
     --disable-uucpd --disable-hostname \
     --disable-ifconfig --disable-traceroute || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-# Building and adding netkit's rexec client to package
-  cd ${srcdir}/netkit-rsh-0.17
-  ./configure --prefix=/usr || return 1
-  cd rexec
-  make || return 1
-  make INSTALLROOT=${pkgdir} MANDIR=/usr/share/man install || return 1
-
-  install -D -m755 ${srcdir}/ftpd.rc ${pkgdir}/etc/rc.d/ftpd || return 1
-  install -D -m644 ${srcdir}/ftpd.conf ${pkgdir}/etc/conf.d/ftpd || return 1
-  install -D -m644 ${srcdir}/telnet.xinetd ${pkgdir}/etc/xinetd.d/telnet || return 1
-  install -D -m644 ${srcdir}/talk.xinetd ${pkgdir}/etc/xinetd.d/talk || return 1
-  install -D -m644 ${srcdir}/rexec.xinetd ${pkgdir}/etc/xinetd.d/rexec || return 1
-  install -D -m644 ${srcdir}/rlogin.xinetd ${pkgdir}/etc/xinetd.d/rlogin || return 1
-  install -D -m644 ${srcdir}/rsh.xinetd ${pkgdir}/etc/xinetd.d/rsh || return 1
-
-  rm ${pkgdir}/usr/share/man/man1/{logger.1,tftp.1}
-  rm ${pkgdir}/usr/share/man/man5/syslog.conf.5
-  rm ${pkgdir}/usr/share/man/man8/{inetd.8,ping.8,syslogd.8,tftpd.8}
-
-  rm ${pkgdir}/usr/share/info/dir
-  gzip ${pkgdir}/usr/share/info/*
+  install -D -m755 "${srcdir}/ftpd.rc" "${pkgdir}/etc/rc.d/ftpd" || return 1
+  install -D -m644 "${srcdir}/ftpd.conf" "${pkgdir}/etc/conf.d/ftpd" || return 1
+  install -D -m644 "${srcdir}/telnet.xinetd" "${pkgdir}/etc/xinetd.d/telnet" || return 1
+  install -D -m644 "${srcdir}/talk.xinetd" "${pkgdir}/etc/xinetd.d/talk" || return 1
+  install -D -m644 "${srcdir}/rexec.xinetd" "${pkgdir}/etc/xinetd.d/rexec" || return 1
+  install -D -m644 "${srcdir}/rlogin.xinetd" "${pkgdir}/etc/xinetd.d/rlogin" || return 1
+  install -D -m644 "${srcdir}/rsh.xinetd" "${pkgdir}/etc/xinetd.d/rsh" || return 1
 }

Deleted: iu-1.6.escape.diff
===================================================================
--- iu-1.6.escape.diff	2010-01-01 23:54:35 UTC (rev 62083)
+++ iu-1.6.escape.diff	2010-01-01 23:56:20 UTC (rev 62084)
@@ -1,16 +0,0 @@
-Index: telnet/externs.h
-===================================================================
-RCS file: /cvsroot/inetutils/inetutils/telnet/externs.h,v
-retrieving revision 1.14
-diff -p -u -r1.14 externs.h
---- telnet/externs.h	27 Dec 2008 20:36:00 -0000	1.14
-+++ telnet/externs.h	3 Jan 2009 21:29:23 -0000
-@@ -49,6 +49,8 @@
-    to the Free Software Foundation, Inc., 51 Franklin Street,
-    Fifth Floor, Boston, MA 02110-1301 USA. */
- 
-+#include <unistd.h>
-+
- #ifndef BSD
- # define BSD 43
- #endif



More information about the arch-commits mailing list